--- a/SNNS-Manual.spec	2019-01-15 05:47:58.023144914 +0300
+++ b/SNNS-Manual.spec	2019-01-15 05:47:58.024144901 +0300
@@ -11,6 +11,7 @@
 
 # Automatically added by buildreq on Mon Mar 01 2010
 BuildRequires: fonts-type1-cm-super-pfb ghostscript-classic texlive-pictures
+BuildArch: noarch
 
 %description
 Printable documentation for Stuttgart Neural Network Simulator
--- a/aptitude.spec	2019-01-15 05:47:58.688136848 +0300
+++ b/aptitude.spec	2019-01-15 05:47:58.690136824 +0300
@@ -38,6 +38,7 @@
 #BuildArch: noarch
 Conflicts: %name < %version-%release
 Conflicts: %name > %version-%release
+BuildArch: noarch
 
 %description doc
 aptitude is a terminal-based apt frontend.  This package contains
--- a/asymptote.spec	2019-01-15 05:47:58.811135358 +0300
+++ b/asymptote.spec	2019-01-15 05:47:58.812135346 +0300
@@ -29,6 +29,7 @@
 %package doc
 Summary: Documentation and examples for %name
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Documentation and examples for %name.
--- a/ccrtp.spec	2019-01-15 05:47:59.140131368 +0300
+++ b/ccrtp.spec	2019-01-15 05:47:59.142131344 +0300
@@ -47,6 +47,7 @@
 %package doc
 Summary: Documentation for %name
 Group: Development/C++
+BuildArch: noarch
 %description doc
 Documentation for %name
 
--- a/clanlib.spec	2019-01-15 05:47:59.459127500 +0300
+++ b/clanlib.spec	2019-01-15 05:47:59.463127450 +0300
@@ -143,6 +143,7 @@
 Requires: %name = %version-%release
 Provides: lib%name-docs = %version
 Obsoletes: lib%name-docs
+BuildArch: noarch
 
 %description docs
 The ClanLib Game SDK is a crossplatform game library designed to ease the
--- a/dar.spec	2019-01-15 05:47:59.891122260 +0300
+++ b/dar.spec	2019-01-15 05:47:59.892122248 +0300
@@ -45,6 +45,7 @@
 %package doc
 Summary: Documentation files for %name
 Group: File tools
+BuildArch: noarch
 
 %description doc
 This package contains documentation files for %name.
--- a/extlinux.spec	2019-01-15 05:48:00.192118610 +0300
+++ b/extlinux.spec	2019-01-15 05:48:00.194118586 +0300
@@ -33,6 +33,7 @@
 %package doc
 Summary: Extlinux documentation.
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Extlinux documentation.
--- a/fet.spec	2019-01-15 05:48:00.297117337 +0300
+++ b/fet.spec	2019-01-15 05:48:00.304117252 +0300
@@ -291,6 +291,7 @@
 Summary(hu.UTF-8):	Szlovák fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-sk
 Slovak translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.304117252 +0300
+++ b/fet.spec	2019-01-15 05:48:00.326116986 +0300
@@ -126,6 +126,7 @@
 Summary(hu.UTF-8):	Német fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-de
 German translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.326116986 +0300
+++ b/fet.spec	2019-01-15 05:48:00.348116718 +0300
@@ -145,6 +145,7 @@
 Summary(hu.UTF-8):	Spanyol fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-es
 Spanish translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.348116718 +0300
+++ b/fet.spec	2019-01-15 05:48:00.369116464 +0300
@@ -155,6 +155,7 @@
 Summary(hu.UTF-8):	fa fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-fa
 fa translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.369116464 +0300
+++ b/fet.spec	2019-01-15 05:48:00.391116198 +0300
@@ -62,6 +62,7 @@
 Summary(pl.UTF-8):	Przykładowe pliki wejściowe dla programu FET
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description examples
 Sample input files to FET from all the world.
--- a/fet.spec	2019-01-15 05:48:00.391116198 +0300
+++ b/fet.spec	2019-01-15 05:48:00.412115942 +0300
@@ -118,6 +118,7 @@
 Summary(hu.UTF-8):	Dán fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-da
 Danish translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.412115942 +0300
+++ b/fet.spec	2019-01-15 05:48:00.434115676 +0300
@@ -138,6 +138,7 @@
 Summary(hu.UTF-8):	Görög fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-el
 Greek translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.434115676 +0300
+++ b/fet.spec	2019-01-15 05:48:00.456115410 +0300
@@ -100,6 +100,7 @@
 Summary(hu.UTF-8):	ar fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-ar
 ar translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.456115410 +0300
+++ b/fet.spec	2019-01-15 05:48:00.479115130 +0300
@@ -262,6 +262,7 @@
 Summary(hu.UTF-8):	Román fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-ro
 Romanian translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.479115130 +0300
+++ b/fet.spec	2019-01-15 05:48:00.502114852 +0300
@@ -199,6 +199,7 @@
 Summary(hu.UTF-8):	id fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-id
 id translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.502114852 +0300
+++ b/fet.spec	2019-01-15 05:48:00.524114584 +0300
@@ -110,6 +110,7 @@
 Summary(hu.UTF-8):	Katalán fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-ca
 Catalan translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.524114584 +0300
+++ b/fet.spec	2019-01-15 05:48:00.547114306 +0300
@@ -320,6 +320,7 @@
 Summary(hu.UTF-8):	uk fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-uk
 uk translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.547114306 +0300
+++ b/fet.spec	2019-01-15 05:48:00.569114038 +0300
@@ -219,6 +219,7 @@
 Summary(hu.UTF-8):	Litván fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-lt
 Lithuanian translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.569114038 +0300
+++ b/fet.spec	2019-01-15 05:48:00.591113772 +0300
@@ -170,6 +170,7 @@
 Summary(hu.UTF-8):	Francia fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-fr
 French translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.591113772 +0300
+++ b/fet.spec	2019-01-15 05:48:00.613113506 +0300
@@ -211,6 +211,7 @@
 Summary(hu.UTF-8):	Olasz fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-it
 Italian translation to fet.
--- a/fet.spec	2019-01-15 05:48:00.613113506 +0300
+++ b/fet.spec	2019-01-15 05:48:00.636113226 +0300
@@ -286,6 +286,7 @@
 Summary(hu.UTF-8):	Orosz fordítás fet-hez
 Group: Office
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description lang-ru
 Russian translation to fet.
--- a/fontforge-doc.spec	2019-01-15 05:48:00.751111832 +0300
+++ b/fontforge-doc.spec	2019-01-15 05:48:00.752111820 +0300
@@ -14,6 +14,7 @@
 Source: http://dl.sf.net/fontforge/fontforge_htdocs-%version.tar.bz2
 
 Conflicts: fontforge < 20061014-alt1
+BuildArch: noarch
 
 %description
 FontForge documentation (html)
--- a/fpc.spec	2019-01-15 05:48:01.032108424 +0300
+++ b/fpc.spec	2019-01-15 05:48:01.042108302 +0300
@@ -900,6 +900,7 @@
 %package docs
 Group: Documentation
 Summary: Free Pascal Compiler - Documentation
+BuildArch: noarch
 
 %description docs
 This package provides documentation for the Free Pascal Compiler in HTML
--- a/fsme-doc.spec	2019-01-15 05:48:01.192106484 +0300
+++ b/fsme-doc.spec	2019-01-15 05:48:01.193106472 +0300
@@ -14,6 +14,7 @@
 Url: http://fsme.sourceforge.net
 Source: fsme_doc.tar.bz2
 Requires: %ename
+BuildArch: noarch
 
 
 %description
--- a/fsme-examples.spec	2019-01-15 05:48:01.233105986 +0300
+++ b/fsme-examples.spec	2019-01-15 05:48:01.234105974 +0300
@@ -14,6 +14,7 @@
 
 %define realname examples-%version
 %define examplesdir fsme-%version/examples
+BuildArch: noarch
 
 
 %description
--- a/gambas.spec	2019-01-15 05:48:01.287105332 +0300
+++ b/gambas.spec	2019-01-15 05:48:01.296105222 +0300
@@ -121,6 +121,7 @@
 Summary: The examples for Gambas
 Group: Development/Other
 Requires: %name-ide = %version-%release
+BuildArch: noarch
 
 %description examples
 The gambas-examples package contains some examples for gambas.
--- a/gdcm.spec	2019-01-15 05:48:01.490102870 +0300
+++ b/gdcm.spec	2019-01-15 05:48:01.492102846 +0300
@@ -23,6 +23,7 @@
 %package 	doc
 Summary:        Libraries for %name
 Group:          Documentation
+BuildArch: noarch
 
 %description	doc
 The %name-doc package contains documentation for %name
--- a/gerbv.spec	2019-01-15 05:48:01.641101039 +0300
+++ b/gerbv.spec	2019-01-15 05:48:01.643101014 +0300
@@ -27,6 +27,7 @@
 Summary: Gerber file examples for gerbv
 Requires: gerbv
 Group: Graphics
+BuildArch: noarch
 
 %description examples
 Example files for gerbv.
--- a/jvgs.spec	2019-01-15 05:48:02.399091848 +0300
+++ b/jvgs.spec	2019-01-15 05:48:02.401091822 +0300
@@ -34,6 +34,7 @@
 License:	CC-NC-SA
 Summary:	Sountrack for %name game, derived from "The Ghosts" album by Nine Inch Nails
 Group:		Sound
+BuildArch: noarch
 
 %description music
 %summary
--- a/kde4-styles-bespin.spec	2019-01-15 05:48:02.452091204 +0300
+++ b/kde4-styles-bespin.spec	2019-01-15 05:48:02.456091156 +0300
@@ -114,6 +114,7 @@
 Summary: Bespin icons theme
 Group: Graphical desktop/KDE
 Requires: %name-common
+BuildArch: noarch
 %description -n icon-theme-bespin
 This package provide a Bespin icons theme
 
--- a/kdeaccessibility.spec	2019-01-15 05:48:02.508090526 +0300
+++ b/kdeaccessibility.spec	2019-01-15 05:48:02.512090476 +0300
@@ -90,6 +90,7 @@
 Group: Graphical desktop/KDE
 Requires: %name-common = %version-%release
 Provides: kde-icon-theme-mono = %version-%release
+BuildArch: noarch
 #
 %description icon-theme-mono
 Monochrome icon theme for KDE
--- a/kernel-image.spec	2019-01-15 05:48:03.051083940 +0300
+++ b/kernel-image.spec	2019-01-15 05:48:03.104083298 +0300
@@ -316,6 +316,7 @@
 %package -n kernel-doc-%base_flavour
 Summary: Linux kernel %kversion-%base_flavour documentation
 Group: System/Kernel and hardware
+BuildArch: noarch
 
 %description -n kernel-doc-%base_flavour
 This package contains documentation files for ALT Linux kernel packages:
--- a/libccrtp.spec	2019-01-15 05:48:03.471078848 +0300
+++ b/libccrtp.spec	2019-01-15 05:48:03.472078835 +0300
@@ -41,6 +41,7 @@
 %package doc
 Summary: Documentation for %name
 Group: Development/C
+BuildArch: noarch
 
 %description devel
 Header files for ccrtp library.
--- a/libcommoncpp2.spec	2019-01-15 05:48:03.538078034 +0300
+++ b/libcommoncpp2.spec	2019-01-15 05:48:03.540078010 +0300
@@ -41,6 +41,7 @@
 %package doc
 Summary: Documentation for %name
 Group: Development/C
+BuildArch: noarch
 
 %description devel
 Common C++ devel files
--- a/libflowcanvas.spec	2019-01-15 05:48:03.704076022 +0300
+++ b/libflowcanvas.spec	2019-01-15 05:48:03.706075998 +0300
@@ -42,6 +42,7 @@
 %package doc
 Summary: Documentation for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 Documentation for %name
--- a/libgle.spec	2019-01-15 05:48:03.817074652 +0300
+++ b/libgle.spec	2019-01-15 05:48:03.818074640 +0300
@@ -49,6 +49,7 @@
 Conflicts: %name > %version-%release
 Conflicts: %name < %version-%release
 Obsoletes: gle-doc <= 3.1.0-alt3
+BuildArch: noarch
 
 %description doc
 The GLE Tubing and Extrusion Library consists of a number of "C"
--- a/libtomcrypt.spec	2019-01-15 05:48:04.287068952 +0300
+++ b/libtomcrypt.spec	2019-01-15 05:48:04.288068940 +0300
@@ -49,6 +49,7 @@
 Summary: Documentation files for %name
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 The %name-doc package contains documentation for use with %name.
--- a/libtommath.spec	2019-01-15 05:48:04.335068370 +0300
+++ b/libtommath.spec	2019-01-15 05:48:04.337068346 +0300
@@ -43,6 +43,7 @@
 Summary: Documentation files for %name
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 The %name-doc package contains PDF documentation for
--- a/log4c.spec	2019-01-15 05:48:04.597065192 +0300
+++ b/log4c.spec	2019-01-15 05:48:04.598065180 +0300
@@ -22,6 +22,7 @@
 Summary: documentation for %name
 Group: Development/C
 Requires: %name = %version
+BuildArch: noarch
 
 %description devel
 The %name-devel package contains the static libraries and header files
--- a/mailman.spec	2019-01-15 05:48:04.762063192 +0300
+++ b/mailman.spec	2019-01-15 05:48:04.766063144 +0300
@@ -67,6 +67,7 @@
 %package docs
 Group: System/Servers
 Summary: Mailing list manager with built in web access
+BuildArch: noarch
 
 
 %description docs
--- a/maliit-framework.spec	2019-01-15 05:48:04.897061554 +0300
+++ b/maliit-framework.spec	2019-01-15 05:48:04.901061506 +0300
@@ -83,6 +83,7 @@
 Summary: Maliit Framework Documentation
 Group: Development/Other
 Requires: %name = %version-%release
+BuildArch: noarch
 %description doc
 Documentation for the Maliit Input Method Framework
 
--- a/mcpp.spec	2019-01-15 05:48:05.037059856 +0300
+++ b/mcpp.spec	2019-01-15 05:48:05.039059832 +0300
@@ -82,6 +82,7 @@
 %package doc
 Summary:    Alternative C/C++ preprocessor (manual for library build)
 Group:      Documentation
+BuildArch: noarch
 
 %description doc
 This package provides an html manual for mcpp.
--- a/mygui.spec	2019-01-15 05:48:05.307056582 +0300
+++ b/mygui.spec	2019-01-15 05:48:05.309056558 +0300
@@ -67,6 +67,7 @@
 %package docs
 Summary: MyGUI docsheader files and documentation
 Group: Documentation
+BuildArch: noarch
 
 %description docs
 MyGUI api documentation
--- a/netpbm.spec	2019-01-15 05:48:05.602053006 +0300
+++ b/netpbm.spec	2019-01-15 05:48:05.605052968 +0300
@@ -74,6 +74,7 @@
 %package doc
 Summary: Tools for manipulating graphics files in netpbm supported formats
 Group: Documentation
+BuildArch: noarch
 
 %package -n lib%name
 Summary: A library for handling different graphics file formats
--- a/opencc.spec	2019-01-15 05:48:05.861049864 +0300
+++ b/opencc.spec	2019-01-15 05:48:05.862049852 +0300
@@ -24,6 +24,7 @@
 Summary:    Documentation for OpenCC
 Group:      Text tools
 Requires:   %{name} = %{version}-%{release}
+BuildArch: noarch
 
 %description doc
 Doxygen generated documentation for OpenCC.
--- a/papi.spec	2019-01-15 05:48:06.118046748 +0300
+++ b/papi.spec	2019-01-15 05:48:06.120046724 +0300
@@ -49,6 +49,7 @@
 %package doc
 Summary: Documentation for Performance Application Programming Interface
 Group: Documentation
+BuildArch: noarch
 #BuildArch: noarch
 
 %description doc
--- a/pcb.spec	2019-01-15 05:48:06.169046130 +0300
+++ b/pcb.spec	2019-01-15 05:48:06.171046106 +0300
@@ -32,6 +32,7 @@
 License: GPL
 Group: Development/Other
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description -n %name-doc
 This documentation narrates about PCB programm and pcb creation flow witn gEda and PCB.
--- a/pine.spec	2019-01-15 05:48:06.509042006 +0300
+++ b/pine.spec	2019-01-15 05:48:06.523041836 +0300
@@ -259,6 +259,7 @@
 # to their version. This is expressed by the following conflicts.
 Conflicts: %name < %fullversion
 Conflicts: %name > %fullversion
+BuildArch: noarch
 
 %description doc
 Three major groups of the additional documentation that supplemets the
--- a/python-module-matplotlib.spec	2019-01-15 05:48:07.165034052 +0300
+++ b/python-module-matplotlib.spec	2019-01-15 05:48:07.173033954 +0300
@@ -190,6 +190,7 @@
 %package doc-html
 Summary: Documentation for %oname in HTML
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc-html
 Documentation for %oname in HTML.
--- a/python-module-matplotlib.spec	2019-01-15 05:48:07.173033954 +0300
+++ b/python-module-matplotlib.spec	2019-01-15 05:48:07.197033664 +0300
@@ -198,6 +198,7 @@
 %package doc-pdf
 Summary: Documentation for %oname in PDF
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc-pdf
 Documentation for %oname in PDF.
--- a/qt3.spec	2019-01-15 05:48:08.157022022 +0300
+++ b/qt3.spec	2019-01-15 05:48:08.171021852 +0300
@@ -370,6 +370,7 @@
 Summary: Examples for developing apps which will use Qt%major
 Group: Development/KDE and QT
 Conflicts: qt3-doc <= 3.3.3-alt6
+BuildArch: noarch
 
 %description doc-examples
 This package contains sources for example programs.
--- a/qt3.spec	2019-01-15 05:48:08.171021852 +0300
+++ b/qt3.spec	2019-01-15 05:48:08.200021500 +0300
@@ -361,6 +361,7 @@
 Summary: Document for developing apps which will use Qt%major
 Group: Development/KDE and QT
 Conflicts: qt3-doc <= 3.3.3-alt6
+BuildArch: noarch
 
 %description doc-man
 This package contains documentation in man format.
--- a/qt5-quickcontrols.spec	2019-01-15 05:48:08.307020202 +0300
+++ b/qt5-quickcontrols.spec	2019-01-15 05:48:08.308020190 +0300
@@ -36,6 +36,7 @@
 Summary: Document for developing apps which will use Qt5 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt5 %qt_module
 
--- a/qt5-serialport.spec	2019-01-15 05:48:08.353019645 +0300
+++ b/qt5-serialport.spec	2019-01-15 05:48:08.355019620 +0300
@@ -51,6 +51,7 @@
 Summary: Document for developing apps which will use Qt5 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt5 %qt_module
 
--- a/qxmpp.spec	2019-01-15 05:48:08.406019002 +0300
+++ b/qxmpp.spec	2019-01-15 05:48:08.408018978 +0300
@@ -51,6 +51,7 @@
 %package doc
 Summary: Qt XMPP library documentation
 Group: Development/KDE and QT
+BuildArch: noarch
 
 %description doc
 QXmpp is a cross-platform C++ XMPP client library. It is based on Qt and
--- a/racket.spec	2019-01-15 05:48:08.457018384 +0300
+++ b/racket.spec	2019-01-15 05:48:08.459018360 +0300
@@ -46,6 +46,7 @@
 %package doc
 Summary: Documentation for Racket
 Group: Documentation
+BuildArch: noarch
 #BuildArch: noarch
 
 %description doc
--- a/ruby-rmagick.spec	2019-01-15 05:48:08.742014928 +0300
+++ b/ruby-rmagick.spec	2019-01-15 05:48:08.743014916 +0300
@@ -21,6 +21,7 @@
 %package doc
 Summary: ImageMagick for Ruby - docs
 Group: Development/Ruby
+BuildArch: noarch
 
 %description doc
 ImageMagick for Ruby documentation
--- a/sensorfw.spec	2019-01-15 05:48:09.045011254 +0300
+++ b/sensorfw.spec	2019-01-15 05:48:09.048011216 +0300
@@ -87,6 +87,7 @@
 Summary:    API documentation for libsensord
 Group:      Development/Documentation
 Requires:   %{name} = %{version}-%{release}
+BuildArch: noarch
 
 %description doc
 Doxygen-generated API documentation for sensord.
--- a/sofia-sip.spec	2019-01-15 05:48:09.263008610 +0300
+++ b/sofia-sip.spec	2019-01-15 05:48:09.265008586 +0300
@@ -48,6 +48,7 @@
 %package docs
 Summary: Sofia-SIP Development Manual Package
 Group: Documentation
+BuildArch: noarch
 
 %package utils
 Summary: Sofia-SIP Command Line Utilities
--- a/texlive-bin.spec	2019-01-15 05:48:09.954000230 +0300
+++ b/texlive-bin.spec	2019-01-15 05:48:09.982999878 +0300
@@ -128,6 +128,7 @@
 Group: Publishing
 Summary: Music typesetting
 Requires: texlive-latex-base
+BuildArch: noarch
 
 %description -n texlive-music
 Music typesetting packages
--- a/ucommon.spec	2019-01-15 05:48:10.588992530 +0300
+++ b/ucommon.spec	2019-01-15 05:48:10.591992494 +0300
@@ -47,6 +47,7 @@
 %package doc
 Group: Development/Documentation
 Summary: Generated class documentation for GNU uCommon
+BuildArch: noarch
 %description doc
 Generated class documentation for GNU uCommon library from header files in
 HTML format.
--- a/volpack.spec	2019-01-15 05:48:10.919988516 +0300
+++ b/volpack.spec	2019-01-15 05:48:10.921988492 +0300
@@ -46,6 +46,7 @@
 Summary: Documentation and examples for help using volpack
 Group: Books/Other
 Requires: volpack = %version-%release
+BuildArch: noarch
 
 %description doc
 The volpack-doc package contains docs and examples helpful for developing
--- a/xboard-theme-eyes.spec	2019-01-15 05:48:11.119986090 +0300
+++ b/xboard-theme-eyes.spec	2019-01-15 05:48:11.120986078 +0300
@@ -18,6 +18,7 @@
 
 Requires: xboard
 Provides: xboard-theme
+BuildArch: noarch
 
 %description
 xboard theme '%theme' from Maurizio Monge  <maurizio.monge@gmail.com>
--- a/xboard-theme-fantasy.spec	2019-01-15 05:48:11.182985326 +0300
+++ b/xboard-theme-fantasy.spec	2019-01-15 05:48:11.183985314 +0300
@@ -18,6 +18,7 @@
 
 Requires: xboard
 Provides: xboard-theme
+BuildArch: noarch
 
 %description
 xboard theme '%theme' from Maurizio Monge  <maurizio.monge@gmail.com>
--- a/xboard-theme-freak.spec	2019-01-15 05:48:11.246984550 +0300
+++ b/xboard-theme-freak.spec	2019-01-15 05:48:11.247984538 +0300
@@ -18,6 +18,7 @@
 
 Requires: xboard
 Provides: xboard-theme
+BuildArch: noarch
 
 %description
 xboard theme '%theme' from Maurizio Monge  <maurizio.monge@gmail.com>
--- a/xboard-theme-prmi.spec	2019-01-15 05:48:11.308983798 +0300
+++ b/xboard-theme-prmi.spec	2019-01-15 05:48:11.309983786 +0300
@@ -18,6 +18,7 @@
 
 Requires: xboard
 Provides: xboard-theme
+BuildArch: noarch
 
 %description
 xboard theme '%theme' from Maurizio Monge  <maurizio.monge@gmail.com>
--- a/xboard-theme-skulls.spec	2019-01-15 05:48:11.372983022 +0300
+++ b/xboard-theme-skulls.spec	2019-01-15 05:48:11.373983010 +0300
@@ -18,6 +18,7 @@
 
 Requires: xboard
 Provides: xboard-theme
+BuildArch: noarch
 
 %description
 xboard theme '%theme' from Maurizio Monge  <maurizio.monge@gmail.com>
--- a/xboard-theme-spatial.spec	2019-01-15 05:48:11.434982270 +0300
+++ b/xboard-theme-spatial.spec	2019-01-15 05:48:11.434982270 +0300
@@ -18,6 +18,7 @@
 
 Requires: xboard
 Provides: xboard-theme
+BuildArch: noarch
 
 %description
 xboard theme '%theme' from Maurizio Monge  <maurizio.monge@gmail.com>
--- a/xsane.spec	2019-01-15 05:48:11.736978608 +0300
+++ b/xsane.spec	2019-01-15 05:48:11.739978572 +0300
@@ -67,6 +67,7 @@
 Summary(ru_RU.UTF-8): Документация для XSANE
 Group: Graphics
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 Documentation for XSANE
